## MetaKeybinding MetaKeybinding — Key bindings |

## Functions

#define | META_TYPE_KEY_BINDING
const char * | meta_key_binding_get_name ()
MetaVirtualModifier | meta_key_binding_get_modifiers ()
guint | meta_key_binding_get_mask ()
gboolean | meta_key_binding_is_builtin ()
gboolean | meta_keybindings_set_custom_handler ()

## Types and Values

| MetaKeyBinding

## Object Hierarchy

        GBoxed
        ╰── MetaKeyBinding

## Description

## Functions

### META_TYPE_KEY_BINDING

    #define META_TYPE_KEY_BINDING               (meta_key_binding_get_type ())

### meta_key_binding_get_name ()

    const char *
    meta_key_binding_get_name (MetaKeyBinding *binding);

### meta_key_binding_get_modifiers ()

    MetaVirtualModifier
    meta_key_binding_get_modifiers (MetaKeyBinding *binding);

### meta_key_binding_get_mask ()

    guint
    meta_key_binding_get_mask (MetaKeyBinding *binding);

### meta_key_binding_is_builtin ()

    gboolean
    meta_key_binding_is_builtin (MetaKeyBinding *binding);

### meta_keybindings_set_custom_handler ()

    gboolean
    meta_keybindings_set_custom_handler (const gchar *name,
                                         MetaKeyHandlerFunc handler,
                                         gpointer user_data,
                                         GDestroyNotify free_data);

Allows users to register a custom handler for a builtin key binding.

#### Parameters

name | The name of the keybinding to set |
handler | The new handler function. | [nullable]
user_data | User data to pass to the callback |
free_data | Will be called when this handler is overridden. |

#### Returns

`TRUE` if the binding known as `name` was found, `FALSE` otherwise.

## Types and Values

### MetaKeyBinding

    typedef struct _MetaKeyBinding MetaKeyBinding;